Subject: Re: bug#29183: 27.0.50; SIGSEGV on C-g on Windows

From: John Mastro <[email-masked]>
Date: Tue, 7 Nov 2017 13:24:15 -0800

Eli Zaretskii <[email-masked]> wrote:
>> > Is this again bug#29040?  Did main_thread become mis-aligned again?
>> I repeated the commands Richard used in that bug report, and I believe
>> you're right: it's 8-byte aligned rather than 16-byte aligned.
>> Transcript below.
> Yep.  How did that happen?..
>
> Can you show a preprocessed version of thread.c, where it does this:
>
>   static struct thread_state GCALIGNED main_thread;

What's the right invocation to get that? I tried some variations on:

gcc -E -mtune=generic -l/mingw64/include -l/c/home/jbm/src/emacs
-l/c/home/jbm/src/emacs/src -l/c/home/jbm/src/emacs/nt/inc src/thread.c

But always got an error:

src/thread.c:20:10: fatal error: config.h: No such file or directory

> Also, what is your GCC version?

$ gcc --version
gcc.exe (Rev1, Built by MSYS2 project) 7.2.0

Thanks